Bug 324759 - When digiKam searches faces, it sets frames automatically. I can _NOT_ erase the "frames" any more.
Summary: When digiKam searches faces, it sets frames automatically. I can _NOT_ erase ...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Workflow (show other bugs)
Version: 3.3.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-10 18:59 UTC by Axel Krebs
Modified: 2017-08-15 21:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.3.0


Attachments
in face view, one can _not_ erase wrong positive frames (284.57 KB, image/png)
2013-09-10 19:00 UTC, Axel Krebs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2013-09-10 18:59:02 UTC
Running face recognition.
Settings: 
1.) find faces
2.) accurancy 100%
3.) use all CPUs

digiKam finds 32 wrong positives, showing strange frames (very high ration width to height) and marks these.

Unfortunately, it is _NOT_ possible to erase these frames: 
in face-view, 
click on a pic to open it,
search for a (first hidden) frame, 
right click ohn this frame and 
choose "delete all frames on pic".

nothing happens.
several rebootings do not help.

--------------------
digiKam version 3.3.0
Bilder: 
JPG:                                6176
PNG:                               151
RAW-NEF:                       6143
TIFF:                                39
Gesamt:                           12509
Videos: 
MOV:                                1
Gesamt:                            1
Gesamtzahl der Einträge: 12510
Alben:                                29
Stichwörter:                       57
Datenbanktreiber:             QSQLITE
--------------------

Reproducible: Always

Steps to Reproduce:
1. please see above under "details"
2.
3.
Actual Results:  
please see above under "details" - face-selection frames can _not_ erased

Expected Results:  
erasing of empty or wrongs positives should just work (as in older versions!!!)
Comment 1 Axel Krebs 2013-09-10 19:00:18 UTC
Created attachment 82259 [details]
in face view, one can _not_ erase wrong positive frames
Comment 2 caulier.gilles 2014-09-05 07:48:51 UTC
Not reproducible using last implementation from git/master.

Just move mouse cursor over false positive thumbnail and press red "minus" button super-imposed. This work also with multiple selection at the same time.

https://www.flickr.com/photos/digikam/14958431750/

Gilles Caulier
Comment 3 caulier.gilles 2014-09-05 09:31:39 UTC
Git commit b73a630ba3b54cd8898e0acc49695884d22f94c7 by Gilles Caulier.
Committed on 05/09/2014 at 09:30.
Pushed by cgilles into branch 'master'.

Fix order to plug overlays about Face management, else rejection function cannot be suitable.
Constify and polish

M  +8    -6    digikam/items/digikamimageview.cpp
M  +2    -2    digikam/items/digikamimageview.h
M  +6    -6    digikam/items/digikamimageview_p.cpp
M  +4    -4    digikam/items/digikamimageview_p.h

http://commits.kde.org/digikam/b73a630ba3b54cd8898e0acc49695884d22f94c7